# Firstname and Lastname in Leads

This module extends the functionality of CRM leads to support split first and last name fields for contacts and allow you to port that information to and from partners. Since leads are expected to create partners only when needed and after information is correctly set up, in leads there is no inverse logic to transform the old single name in the new split names automatically. The old single name will simply be the firstname now.

Table of contents

- Installation
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Installation

To install this module, you need to:

- Install OCA/partner-contact repo.

# Usage

To use this module, you need to:

- Go to CRM > Leads > Leads > Create.
- You have the new split fields Firstname and Lastname. Fill them.
- Press Convert to Opportunity.
- In Related Customer choose Create a new customer.
- Press Create Opportunity.
- In the new opportunity, go to Followup tab. There are the new fields too.
- If you go to the partner you just created, you will see that its first and last names match those in the lead.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Tecnativa

## Contributors

- Rafael Blasco
- Jairo Llopis
- Raf Ven <raf.ven@dynapps.be>
- Nikos Tsirintanis <ntsirintanis@therp.nl>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/crm project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.